Package com.avaya.features.conversationlist

## Class ConversationListActivityBuilder

- java.lang.Object
- - com.avaya.features.conversationlist.ConversationListActivityBuilder

-     public class ConversationListActivityBuilder
      extends java.lang.Object

  This builder is used to configure the `ConversationListActivityBuilder`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `android.content.Intent` | `intent​(android.content.Context context)` | Creates an `Intent` for the `ConversationListActivity` with the specified configuration
    `void` | `show​(android.content.Context context)` | Starts the `ConversationListActivity` with the specified configuration
    `ConversationListActivityBuilder` | `showCreateConversationButton​(boolean createConversation)` | Specifies the create conversation boolean used for showing or hiding the create conversation button in the Conversation List Screen.
    `ConversationListActivityBuilder` | `withFlags​(int flags)` | Specifies the intent flags for the conversation list activity

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withFlags

          public ConversationListActivityBuilder withFlags​(int flags)

      Specifies the intent flags for the conversation list activity
      Parameters:
        `flags` - the `Intent` flags
      Returns:
        the `ConversationListActivityBuilder`

    - #### showCreateConversationButton

          public ConversationListActivityBuilder showCreateConversationButton​(boolean createConversation)

      Specifies the create conversation boolean used for showing or hiding the create conversation button in the Conversation List Screen.
      Parameters:
        `createConversation` - the create conversation boolean used for showing or hiding the create conversation button
      Returns:
        the `ConversationListActivityBuilder`

    - #### show

          public void show​(android.content.Context context)

      Starts the `ConversationListActivity` with the specified configuration
      Parameters:
        `context` - the `Context` from which `Context.startActivity(Intent)` will be invoked

    - #### intent

          public android.content.Intent intent​(android.content.Context context)

      Creates an `Intent` for the `ConversationListActivity` with the specified configuration
      Parameters:
        `context` - the `Context` from which `Context.startActivity(Intent)` will be invoked
      Returns:
        the constructed `Intent`